- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/create#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses/create#body.aspect)

Creates a forwarding address. If ownership verification is required, a message will be sent to the recipient and the resource's verification status will be set to `pending`; otherwise, the resource will be created with verification status set to `accepted`. For more information, see [Manage email forwarding](https://developers.google.com/workspace/gmail/api/guides/forwarding_settings).

This method is only available to service account clients that have been delegated domain-wide authority.

### HTTP request

`POST https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/forwardingAddresses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` User's email address. The special value "me" can be used to indicate the authenticated user. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses#ForwardingAddress`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.forwardingAddresses#ForwardingAddress`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/gmail.settings.sharing`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).